commit:     e4b20dd8f8bbe97cbf6eb2a97a772d15a85c4c4d
Author:     Hans de Graaff <hans <AT> degraaff <DOT> org>
AuthorDate: Fri Jun 12 05:03:42 2015 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Jun 12 05:03:42 2015 +0000
URL:        https://gitweb.gentoo.org/dev/graaff.git/commit/?id=e4b20dd8

Version bump.

Package-Manager: portage-2.2.18

 dev-ruby/scrypt/ChangeLog           |  5 +++++
 dev-ruby/scrypt/Manifest            |  1 +
 dev-ruby/scrypt/scrypt-2.0.2.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 3 files changed, 43 insertions(+)

diff --git a/dev-ruby/scrypt/ChangeLog b/dev-ruby/scrypt/ChangeLog
index 78574c5..af6f1fd 100644
--- a/dev-ruby/scrypt/ChangeLog
+++ b/dev-ruby/scrypt/ChangeLog
@@ -2,6 +2,11 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*scrypt-2.0.2 (12 Jun 2015)
+
+  12 Jun 2015; Hans de Graaff <[email protected]> +scrypt-2.0.2.ebuild:
+  Version bump.
+
 *scrypt-2.0.0 (02 Jan 2015)
 
   02 Jan 2015; Hans de Graaff <[email protected]> +scrypt-2.0.0.ebuild,

diff --git a/dev-ruby/scrypt/Manifest b/dev-ruby/scrypt/Manifest
index 2294e8d..54d7f86 100644
--- a/dev-ruby/scrypt/Manifest
+++ b/dev-ruby/scrypt/Manifest
@@ -1 +1,2 @@
 DIST scrypt-2.0.0.gem 23552 SHA256 
34cf4f10e0fa4b03b6722e3987a9907fd89a83293dabcc5333541349a2da17ea SHA512 
d8543d263d2109f5428688d4589a643ef62a458c5c3cc683cff64c1d98c316e4232977757e52a75247da2be4d7e7d3bedc3d1ceada286e03e064f0198c043606
 WHIRLPOOL 
7ccd368db889fd58a73eb2b18cfb747d83828885b965eeca6bbe118fb7d108b00151632019ff7ca35089ac56098f457c370e25d85174a51921793038f9e978b3
+DIST scrypt-2.0.2.gem 28160 SHA256 
ff879435a7ec15d78679f0d228ab976bb2633cc78faa25ab57f9538c4e8a2aaf SHA512 
7c82bba94eb18a2340964c2fbf1f6ca2c4af310baa318b50e3932d8bd72a60fe90c5a85d09ce3157ae3589964da8f93742fd7ae5e42e571e1d5848af6164c928
 WHIRLPOOL 
ada6f8ef98f16c5d05b3f808a5c6e9683bbcb48387be0d12cbbf92cb7eecb57366ed2a5e6df165facb61e51df35e22cde1782c39e9f6695df73f233ade2b442d

diff --git a/dev-ruby/scrypt/scrypt-2.0.2.ebuild 
b/dev-ruby/scrypt/scrypt-2.0.2.ebuild
new file mode 100644
index 0000000..ec08cf8
--- /dev/null
+++ b/dev-ruby/scrypt/scrypt-2.0.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header:  $
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Scrypt password hashing algorithm"
+HOMEPAGE="https://github.com/pbhogan/scrypt";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend ">=dev-ruby/ffi-compiler-0.0.2"
+
+all_ruby_prepare() {
+       # In Gentoo ffi-compiler can be a built-time only dependency.
+       sed -i -e '/ffi-compiler/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_compile() {
+       # This task ignores CFLAGS and LDFLAGS and hardcodes sse and sse2
+       # support. This should be fixed before moving it to the gentoo tree.
+       ${RUBY} -Cext/scrypt -S rake || die
+       cp ext/scrypt/*/libscrypt_ext.so lib/
+}

Reply via email to